NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.AME.ShowHideObjectsBuilder Class Reference

JA class for ShowHideObjectsBuilder More...

Inheritance diagram for NXOpen.AME.ShowHideObjectsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe bool ShowChannels [get, set]
 Returns or sets the setting for showing/hiding Plc Channels in aspect navigators More...
 
unsafe bool ShowEPLAN [get, set]
 Returns or sets the setting for showing/hiding EPLAN objects in aspect navigators More...
 
unsafe bool ShowPlacedFragments [get, set]
 Returns or sets the setting for showing/hiding placed fragments in aspect navigators More...
 
unsafe bool ShowSoftwareBlocks [get, set]
 Returns or sets the setting for showing/hiding software blocks in aspect navigators More...
 
unsafe bool ShowTags [get, set]
 Returns or sets the setting for showing/hiding Plc Tags in aspect navigators More...
 
unsafe bool ShowUnplacedFragments [get, set]
 Returns or sets the setting for showing/hiding the setting for unplaced fragments in aspect navigators More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

JA class for ShowHideObjectsBuilder

To create a new instance of this class, use NXOpen.AME.AMEManager.CreateShowHideObjectsBuilder

Created in NX11.0.0

Property Documentation

unsafe bool NXOpen.AME.ShowHideObjectsBuilder.ShowChannels
getset

Returns or sets the setting for showing/hiding Plc Channels in aspect navigators

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.ShowHideObjectsBuilder.ShowEPLAN
getset

Returns or sets the setting for showing/hiding EPLAN objects in aspect navigators

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.ShowHideObjectsBuilder.ShowPlacedFragments
getset

Returns or sets the setting for showing/hiding placed fragments in aspect navigators

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.ShowHideObjectsBuilder.ShowSoftwareBlocks
getset

Returns or sets the setting for showing/hiding software blocks in aspect navigators

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.ShowHideObjectsBuilder.ShowTags
getset

Returns or sets the setting for showing/hiding Plc Tags in aspect navigators

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.ShowHideObjectsBuilder.ShowUnplacedFragments
getset

Returns or sets the setting for showing/hiding the setting for unplaced fragments in aspect navigators

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.